# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-nds/phpldapadmin/phpldapadmin-1.0.2.ebuild,v 1.2 2007/08/16 07:01:18 opfer Exp $

inherit webapp depend.php

MY_PN="lam"

DESCRIPTION="phpLDAPadmin is a web-based tool for managing all aspects of your LDAP server."
HOMEPAGE="http://lam.sourceforge.net"
SRC_URI="mirror://sourceforge/${MY_PN}/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~ppc ~sparc x86"
IUSE=""

need_php5

pkg_setup() {
	webapp_pkg_setup
	require_php_with_use ldap pcre session xml nls
}

src_unpack() {
	unpack ${A}
	cd ${S}
	cp config/config.cfg_sample config/config.cfg
	cp config/lam.conf_sample config/lam.conf
	rm -rf docs/devel
}

src_compile() {
	einfo "Nothing to compile"
}

src_install() {
	webapp_src_preinst

	dodoc docs/*

	cp -r . ${D}${MY_HTDOCSDIR}
	cd ${D}${MY_HTDOCSDIR}

	webapp_configfile ${MY_HTDOCSDIR}/config/config.cfg
	webapp_configfile ${MY_HTDOCSDIR}/config/lam.conf

	webapp_serverowned ${MY_HTDOCSDIR}/sess
	webapp_serverowned ${MY_HTDOCSDIR}/tmp
	webapp_serverowned ${MY_HTDOCSDIR}/config
	webapp_serverowned ${MY_HTDOCSDIR}/config/language
	webapp_serverowned ${MY_HTDOCSDIR}/config/shells
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/default.group.xml
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/default.host.xml
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/default.mailAlias.xml
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/default.smbDomain.xml
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/default.user.xml
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/logos
	webapp_serverowned ${MY_HTDOCSDIR}/config/pdf/logos/printLogo.jpg
	webapp_serverowned ${MY_HTDOCSDIR}/config/profiles
	webapp_serverowned ${MY_HTDOCSDIR}/config/profiles/default.group
	webapp_serverowned ${MY_HTDOCSDIR}/config/profiles/default.host
	webapp_serverowned ${MY_HTDOCSDIR}/config/profiles/default.mailAlias
	webapp_serverowned ${MY_HTDOCSDIR}/config/profiles/default.smbDomain
	webapp_serverowned ${MY_HTDOCSDIR}/config/profiles/default.user
	webapp_serverowned ${MY_HTDOCSDIR}/config/selfService

	webapp_postinst_txt en ${FILESDIR}/postinstall-en.txt

	webapp_src_install
}
